#pragma strict

//This script was created for drawing individual numerical digit textures in Unity
//I suggest incorporating it into your manager script

//ints
private var curScore : int = 0;							

//vector2 positions for textures
//the public nature of these variables allows you to find the optimal GUI placement using the editor during runtime
public var scorePos : Vector2 = Vector2.zero;			//placement of the score labale texture
public var remainderPos : Vector2 = Vector2.zero;		//placement of the 0-9 digits
public var tensPos : Vector2 = Vector2.zero;			//placement of the 0x-9x digits
public var hundredPos : Vector2 = Vector2.zero;			//placement of the 0xx-9xx digits
public var thousandPos : Vector2 = Vector2.zero;		//placement of the 0xxx-9xxx digits

//textures
public var scoreTexture : Texture2D;					//the score label texture
public var one : Texture2D;
public var two : Texture2D;
public var three : Texture2D;
public var four : Texture2D;
public var five : Texture2D;
public var six : Texture2D;
public var seven : Texture2D;
public var eight : Texture2D;
public var nine : Texture2D;
public var zero : Texture2D;


function OnGUI ()
{
	//Draw score
	DrawImage(scorePos,scoreTexture);
	
	var tempScore : int = curScore;
	var thousands : int;
	var hundreds : int;
	var tens : int;
	var remainder : int;
	
	if(curScore <10) 
	{
		//Draw single digit score
		switch (tempScore) 
		{
			case 0 :
				DrawImage(remainderPos,zero);
			break;
			case 1 :
				DrawImage(remainderPos,one);
			break;
			case 2 :
				DrawImage(remainderPos,two);
			break;
			case 3 :
				DrawImage(remainderPos,three);
			break;
			case 4 :
				DrawImage(remainderPos,four);
			break;
			case 5 :
				DrawImage(remainderPos,five);
			break;
			case 6 :
				DrawImage(remainderPos,six);
			break;
			case 7 :
				DrawImage(remainderPos,seven);
			break;
			case 8 :
				DrawImage(remainderPos,eight);
			break;
			case 9 :
				DrawImage(remainderPos,nine);
			break;
		}
	} 
	else if(curScore <100) 
	{
		//Draw double digit score
		tens = Mathf.Floor(tempScore/10);
		remainder = tempScore - (tens*10);
		switch (tens) 
		{
			case 0 :
				DrawImage(tensPos,zero);
			break;
			case 1 :
				DrawImage(tensPos,one);
			break;
			case 2 :
				DrawImage(tensPos,two);
			break;
			case 3 :
				DrawImage(tensPos,three);
			break;
			case 4 :
				DrawImage(tensPos,four);
			break;
			case 5 :
				DrawImage(tensPos,five);
			break;
			case 6 :
				DrawImage(tensPos,six);
			break;
			case 7 :
				DrawImage(tensPos,seven);
			break;
			case 8 :
				DrawImage(tensPos,eight);
			break;
			case 9 :
				DrawImage(tensPos,nine);
			break;
		}
		switch (remainder) 
		{
			case 0 :
				DrawImage(remainderPos,zero);
			break;
			case 1 :
				DrawImage(remainderPos,one);
			break;
			case 2 :
				DrawImage(remainderPos,two);
			break;
			case 3 :
				DrawImage(remainderPos,three);
			break;
			case 4 :
				DrawImage(remainderPos,four);
			break;
			case 5 :
				DrawImage(remainderPos,five);
			break;
			case 6 :
				DrawImage(remainderPos,six);
			break;
			case 7 :
				DrawImage(remainderPos,seven);
			break;
			case 8 :
				DrawImage(remainderPos,eight);
			break;
			case 9 :
				DrawImage(remainderPos,nine);
			break;
		}
	} 
	else if (curScore < 1000)
	{
		//Draw triple score
		hundreds = Mathf.Floor(tempScore/100);
		tens = Mathf.Floor(tempScore/10) - (hundreds*10);
		remainder = tempScore - (hundreds*100) - (tens*10);
		switch (hundreds) {
			case 0 :
				DrawImage(hundredPos,zero);
			break;
			case 1 :
				DrawImage(hundredPos,one);
			break;
			case 2 :
				DrawImage(hundredPos,two);
			break;
			case 3 :
				DrawImage(hundredPos,three);
			break;
			case 4 :
				DrawImage(hundredPos,four);
			break;
			case 5 :
				DrawImage(hundredPos,five);
			break;
			case 6 :
				DrawImage(hundredPos,six);
			break;
			case 7 :
				DrawImage(hundredPos,seven);
			break;
			case 8 :
				DrawImage(hundredPos,eight);
			break;
			case 9 :
				DrawImage(hundredPos,nine);
			break;
		}
		switch (tens) 
		{
			case 0 :
				DrawImage(tensPos,zero);
			break;
			case 1 :
				DrawImage(tensPos,one);
			break;
			case 2 :
				DrawImage(tensPos,two);
			break;
			case 3 :
				DrawImage(tensPos,three);
			break;
			case 4 :
				DrawImage(tensPos,four);
			break;
			case 5 :
				DrawImage(tensPos,five);
			break;
			case 6 :
				DrawImage(tensPos,six);
			break;
			case 7 :
				DrawImage(tensPos,seven);
			break;
			case 8 :
				DrawImage(tensPos,eight);
			break;
			case 9 :
				DrawImage(tensPos,nine);
			break;
		}
		switch (remainder) 
		{
			case 0 :
				DrawImage(remainderPos,zero);
			break;
			case 1 :
				DrawImage(remainderPos,one);
			break;
			case 2 :
				DrawImage(remainderPos,two);
			break;
			case 3 :
				DrawImage(remainderPos,three);
			break;
			case 4 :
				DrawImage(remainderPos,four);
			break;
			case 5 :
				DrawImage(remainderPos,five);
			break;
			case 6 :
				DrawImage(remainderPos,six);
			break;
			case 7 :
				DrawImage(remainderPos,seven);
			break;
			case 8 :
				DrawImage(remainderPos,eight);
			break;
			case 9 :
				DrawImage(remainderPos,nine);
			break;
		}
	}
	else if (curScore < 10000)
	{
		//Draw Quadriple score
		thousands = Mathf.Floor(tempScore/1000);
		hundreds = Mathf.Floor(tempScore/100) - (thousands*10);
		tens = Mathf.Floor(tempScore/10) - (thousands*100) - (hundreds*10);
		remainder = tempScore - (thousands*1000) - (hundreds*100) - (tens*10);
		switch (thousands)
		{
			case 0 :
				DrawImage(thousandPos,zero);
			break;
			case 1 :
				DrawImage(thousandPos,one);
			break;
			case 2 :
				DrawImage(thousandPos,two);
			break;
			case 3 :
				DrawImage(thousandPos,three);
			break;
			case 4 :
				DrawImage(thousandPos,four);
			break;
			case 5 :
				DrawImage(thousandPos,five);
			break;
			case 6 :
				DrawImage(thousandPos,six);
			break;
			case 7 :
				DrawImage(thousandPos,seven);
			break;
			case 8 :
				DrawImage(thousandPos,eight);
			break;
			case 9 :
				DrawImage(thousandPos,nine);
			break;
		}
		switch (hundreds) 
		{
			case 0 :
				DrawImage(hundredPos,zero);
			break;
			case 1 :
				DrawImage(hundredPos,one);
			break;
			case 2 :
				DrawImage(hundredPos,two);
			break;
			case 3 :
				DrawImage(hundredPos,three);
			break;
			case 4 :
				DrawImage(hundredPos,four);
			break;
			case 5 :
				DrawImage(hundredPos,five);
			break;
			case 6 :
				DrawImage(hundredPos,six);
			break;
			case 7 :
				DrawImage(hundredPos,seven);
			break;
			case 8 :
				DrawImage(hundredPos,eight);
			break;
			case 9 :
				DrawImage(hundredPos,nine);
			break;
		}
		switch (tens) 
		{
			case 0 :
				DrawImage(tensPos,zero);
			break;
			case 1 :
				DrawImage(tensPos,one);
			break;
			case 2 :
				DrawImage(tensPos,two);
			break;
			case 3 :
				DrawImage(tensPos,three);
			break;
			case 4 :
				DrawImage(tensPos,four);
			break;
			case 5 :
				DrawImage(tensPos,five);
			break;
			case 6 :
				DrawImage(tensPos,six);
			break;
			case 7 :
				DrawImage(tensPos,seven);
			break;
			case 8 :
				DrawImage(tensPos,eight);
			break;
			case 9 :
				DrawImage(tensPos,nine);
			break;
		}
		switch (remainder) 
		{
			case 0 :
				DrawImage(remainderPos,zero);
			break;
			case 1 :
				DrawImage(remainderPos,one);
			break;
			case 2 :
				DrawImage(remainderPos,two);
			break;
			case 3 :
				DrawImage(remainderPos,three);
			break;
			case 4 :
				DrawImage(remainderPos,four);
			break;
			case 5 :
				DrawImage(remainderPos,five);
			break;
			case 6 :
				DrawImage(remainderPos,six);
			break;
			case 7 :
				DrawImage(remainderPos,seven);
			break;
			case 8 :
				DrawImage(remainderPos,eight);
			break;
			case 9 :
				DrawImage(remainderPos,nine);
			break;
		}
	}
}

//Where the Magic happens
function DrawImage(pos : Vector2, image : Texture2D) 
{
	var rectangle = Rect (pos.x,pos.y, image.width / 2, image.height / 2);
	GUI.DrawTexture(rectangle, image);
}
