#pragma strict

private var moveSpeed : float = 8.0;
private var jumpSpeed : float = 8.0;
private var fallSpeed : float = 10.0;
private var jumpHeight : float;
private var dir : int = 1;

private var grounded : boolean = true;
private var leftAllow : boolean = true;
private var rightAllow : boolean = true;
private var jumping : boolean = false;
private var sonic : boolean = false;
private var key : boolean = true;
private var foot : boolean = true;


function Awake ()
{
	jumpHeight = gameObject.transform.position.y + 5;
}


function Update () 
{
	if (!foot && !jumping)
	{
		grounded = false;
	}
	//print(jumping);
	if (gameObject.transform.position.y >= jumpHeight)
	{
		grounded = false;
	}
	
	if (!grounded)
	{
		ApplyGravity();
	} 
	//movement code for arrows
	if (Input.GetKey("a") && leftAllow == true)
	{
		if (!jumping)
		{
			dir = -1;
			ChangeDir();
		}
		gameObject.transform.position.x += dir * moveSpeed * Time.deltaTime; 
	}
	else if (Input.GetKey("d") && rightAllow == true)
	{
		if (!jumping)
		{
			dir = 1;
			ChangeDir();
		}
		gameObject.transform.position += Vector3.right * moveSpeed * Time.deltaTime; 
	}
	if (Input.GetKey("w") && grounded == true)
	{
		gameObject.transform.position.y += jumpSpeed * Time.deltaTime;
		jumping = true;
	}
	if (Input.GetKeyUp("w"))
	{
		grounded = false;
	}
}

function ApplyGravity ()
{
	gameObject.transform.position.y -= fallSpeed * Time.deltaTime;
}

function ChangeDir ()
{
	if (dir == -1)
	{
		gameObject.transform.localScale.x = -1;
	}
	else
	{
		gameObject.transform.localScale.x = 1;
	}
}

function OnTriggerStay (col : Collider)
{
	
	if (Input.GetKey("e"))
	{
		if (sonic == true)
		{
			if (col.gameObject.tag == "FutureBoxOne")
			{
				Camera.main.SendMessage("SendBoxOne",SendMessageOptions.DontRequireReceiver);
			}
			if (col.gameObject.tag == "FutureBoxTwo")
			{
				Camera.main.SendMessage("SendBlock2",SendMessageOptions.DontRequireReceiver);
			}
			if (col.gameObject.tag == "FutureBoxThree")
			{
				Camera.main.SendMessage("SendBlock2",SendMessageOptions.DontRequireReceiver);
			}
			
			if (col.gameObject.tag == "FutureBoxTwo")
			{
			
			}
			if (col.gameObject.tag == "Oil")
			{
				Camera.main.SendMessage("TransferOil",SendMessageOptions.DontRequireReceiver);
			}
			if (col.gameObject.tag == "FutureLeverTwo")
			{
			
			}
			if (col.gameObject.tag == "FutureLeverThree")
			{
			
			}
		}
		if (key == true)
		{
			if (col.gameObject.tag == "Chest")
			{
				Camera.main.SendMessage("OpenChest",SendMessageOptions.DontRequireReceiver);
			}
		}
	}
}

function OnTriggerEnter (col : Collider)
{
	if (col.collider.tag == "Ground" || col.gameObject.tag == "FutureBoxOne" || col.gameObject.tag == "FutureBoxTwo" || col.gameObject.tag == "FutureBoxThree")
	{
		foot = true;
		grounded = true;
		jumping = false;
		jumpHeight = gameObject.transform.position.y + 5;
	}
	if (col.gameObject.tag == "Collider Right")
	{
		rightAllow = false;
	}
	if (col.gameObject.tag == "Collider Left")
	{
		leftAllow = false;
	}	
	if (col.gameObject.tag == "sonic")
	{
		sonic = true;
		Camera.main.SendMessage("SonicAcquired",SendMessageOptions.DontRequireReceiver);
	}
	if (col.gameObject.tag == "key")
	{
		key = true;
		Camera.main.SendMessage("DestroyKey",SendMessageOptions.DontRequireReceiver);
	}
	if (col.gameObject.tag == "VictoryBox")
	{
		Camera.main.SendMessage("TimeLordVictorious",SendMessageOptions.DontRequireReceiver);
	}
}

function OnTriggerExit (col : Collider)
{
	if (col.gameObject.tag == "Collider Right")
	{
		rightAllow = true;
	}
	if (col.gameObject.tag == "Collider Left")
	{
		leftAllow = true;
	}	
	if (col.gameObject.tag == "Ground" || col.gameObject.tag == "FutureBoxOne" || col.gameObject.tag == "FutureBoxTwo" || col.gameObject.tag == "FutureBoxThree")
	{
		foot = false;
	}
}

